diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index f37da6a..8609ebd 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -119637,11 +119637,118 @@ NagPartialDifferentialEquationsPackage(): Exports == Implementation where
 )set message auto off
 )clear all
 
---S 1 of 1
+--S 1 of 13
 )show NagPolynomialRootsPackage
+--R 
+--R NagPolynomialRootsPackage  is a package constructor
+--R Abbreviation for NagPolynomialRootsPackage is NAGC02 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.4.pamphlet to see algebra source code for NAGC02 
+--R
+--R------------------------------- Operations --------------------------------
+--R c02aff : (Matrix(DoubleFloat),Integer,Boolean,Integer) -> Result
+--R c02agf : (Matrix(DoubleFloat),Integer,Boolean,Integer) -> Result
+--R
 --E 1
 
+)clear all
+ 
+--S 2 of 13
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 2
+
+--S 3 of 13
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 3
+
+--S 4 of 13
+a:Matrix SF:=
+ [[5.0 ,30.0 ,-0.2 ,50.0 ,-2.0 ,10.0 ],_
+  [6.0 ,20.0 ,-6.0 ,100000.0 ,-40.0 ,1.0 ]]
+--R 
+--R
+--R        +5.  30.  - 0.19999999999999998    50.    - 2.   10.+
+--R   (3)  |                                                   |
+--R        +6.  20.          - 6.           100000.  - 40.  1. +
+--R                                                    Type: Matrix(DoubleFloat)
+--E 4
+
+--S 5 of 13
+n:=ncols(a)-1
+--R 
+--R
+--R   (4)  5
+--R                                                        Type: PositiveInteger
+--E 5
+
+--S 6 of 13
+scale:=true
+--R 
+--R
+--R   (5)  true
+--R                                                                Type: Boolean
+--E 6
+
+--S 7 of 13
+-- result:=c02aff(a,n,scale,-1)
+--E 7
+
+)clear all
+ 
+--S 8  of 13
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 8
+
+--S 9 of 13
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 9
+
+--S 10 of 13
+a:Matrix SF:= [[1.0 ,2.0 ,3.0 ,4.0 ,5.0 ,6.0 ]]
+--R 
+--R
+--R   (3)  [1.  2.  3.  4.  5.  6.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 10
+
+--S 11 of 13
+n:=ncols(a)-1
+--R 
+--R
+--R   (4)  5
+--R                                                        Type: PositiveInteger
+--E 11
+
+--S 12 of 13
+scale:=true
+--R 
+--R
+--R   (5)  true
+--R                                                                Type: Boolean
+--E 12
+
+--S 13 of 13
+-- result:=c02agf(a,n,scale,-1)
+--E 13
+
 )spool
+ 
 )lisp (bye)
 \end{chunk}
 
diff --git a/changelog b/changelog
index 4cfa15d..b5b0c84 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20141206 tpd src/axiom-website/patches.html 20141206.01.tpd.patch
+20141206 tpd src/input/Makefile remove c02aff, c02agf
+20141206 tpd src/input/c02aff.input absorbed, removed
+20141206 tpd src/input/c02agf.input absorbed, removed
+20141206 tpd books/bookvol10.4 NAGC02 absorb src/input test case files
 20141203 tpd src/axiom-website/patches.html 20141203.02.tpd.patch
 20141203 tpd projects: Axiom continuous integration
 20141203 tpd src/axiom-website/patches.html 20141203.01.tpd.patch
diff --git a/patch b/patch
index 8175eff..b3d9b40 100644
--- a/patch
+++ b/patch
@@ -1,9 +1,2 @@
-projects: Axiom continuous integration
+books/bookvol10.4 NAGC02 absorb src/input test case files
 
-  1) set up a continuous integration server
-     - jenkins server setup
-       * add git plugin
-       * add shell plugin
-       * build bronze project
-     - rework makefiles for jenkins builds
-     - rework src/input for jenkins builds
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9350da8..5845055 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4758,6 +4758,8 @@ books/bookvol10.4 NAGE04 absorb src/input test case files<br/>
 src/input/files some latex got broken in the ** to ^ change<br/>
 <a href="patches/20141203.02.tpd.patch">20141203.02.tpd.patch</a>
 projects: Axiom continuous integration<br/>
+<a href="patches/20141206.01.tpd.patch">20141206.01.tpd.patch</a>
+books/bookvol10.4 NAGC02 absorb src/input test case files<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 6babac1..3fefaeb 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -188,8 +188,7 @@ TESTSYS=${OBJ}/${SYS}/bin/interpsys
 SKIP= as-eg1.output as-eg2.output    \
       as-eg3.output    as-eg4.output    as-eg5.output    as-eg6.output    \
       bern.output      bernpoly.output  \
-      c02aff.output    \
-      c02agf.output    c05adf.output    c05nbf.output    c05pbf.output    \
+      c05adf.output    c05nbf.output    c05pbf.output    \
       c06eaf.output    c06ebf.output    c06ecf.output    c06ekf.output    \
       c06fpf.output    c06fqf.output    c06frf.output    c06fuf.output    \
       c06gbf.output    c06gcf.output    c06gqf.output    c06gsf.output    \
@@ -636,7 +635,7 @@ ASFILES=${OUT}/aseg6.as   ${OUT}/aseg7.as  ${OUT}/ecfact.as \
         ${OUT}/hilbert.as ${OUT}/matops.as ${OUT}/pdecomp0.as \
         ${OUT}/romnum.as
 
-NAGLIB=${OUT}/c02aff.input   ${OUT}/c02agf.input     ${OUT}/c05adf.input \
+NAGLIB=${OUT}/c05adf.input \
        ${OUT}/c05nbf.input   ${OUT}/c05pbf.input     ${OUT}/c06eaf.input \
        ${OUT}/c06ebf.input   ${OUT}/c06ecf.input     ${OUT}/c06ekf.input \
        ${OUT}/c06fpf.input   ${OUT}/c06fqf.input     ${OUT}/c06frf.input \
@@ -1028,7 +1027,6 @@ DOCFILES= \
   ${DOC}/bug103.input.dvi \
   ${DOC}/bug10312.input.dvi    ${DOC}/bug6357.input.dvi    \
   ${DOC}/bug9057.input.dvi     ${DOC}/bugs.input.dvi       \
-  ${DOC}/c02aff.input.dvi      ${DOC}/c02agf.input.dvi     \
   ${DOC}/c05adf.input.dvi      ${DOC}/c05nbf.input.dvi     \
   ${DOC}/c05pbf.input.dvi      ${DOC}/c06eaf.input.dvi     \
   ${DOC}/c06ebf.input.dvi      ${DOC}/c06ecf.input.dvi     \
diff --git a/src/input/c02aff.input.pamphlet b/src/input/c02aff.input.pamphlet
deleted file mode 100644
index 2fd8d80..0000000
--- a/src/input/c02aff.input.pamphlet
+++ /dev/null
@@ -1,34 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c02aff.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-a:Matrix SF:=
- [[5.0 ,30.0 ,-0.2 ,50.0 ,-2.0 ,10.0 ],_
-  [6.0 ,20.0 ,-6.0 ,100000.0 ,-40.0 ,1.0 ]]
-n:=ncols(a)-1
-scale:=true
-result:=c02aff(a,n,scale,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c02agf.input.pamphlet b/src/input/c02agf.input.pamphlet
deleted file mode 100644
index 6a3b19a..0000000
--- a/src/input/c02agf.input.pamphlet
+++ /dev/null
@@ -1,33 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c02agf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-a:Matrix SF:=
- [[1.0 ,2.0 ,3.0 ,4.0 ,5.0 ,6.0 ]]
-n:=ncols(a)-1
-scale:=true
-result:=c02agf(a,n,scale,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
